body {
    padding-top: 50px;
}
.ng-invalid.ng-dirty {
    border-color: red;
}
.ng-valid.ng-dirty {
    border-color: blue;
}
d3-queue svg {
    margin-left:5px;
    margin-right:5px;
}
ul,li {
    list-style-type: none;
    list-style-position:inside;
    margin:0;
    padding:0;
 }
.panel-body table:nth-child(even) {
    background-color : #F5F5F5;
 }

.accordion-toggle {
    cursor: pointer;
}
.columntool {
    position: relative;
    cursor: pointer;
    top: 0px;
}
.selectcolbox {
    position: relative;
    left: 50px;
    min-width: 120px;
}
.agentGroup {
    margin-top: 5px;
    border: 1px solid #C0C0C0;
    -moz-border-radius:5px 0;
    -webkit-border-radius:5px 0;
    border-radius:10px 0;
    box-shadow: 3px 3px 6px 0px #A9A9A9;
 }
.expander {
    text-align: center;
    font-size: 0.8em;
    color: #2B2B2B;
    text-shadow: 0px 0px 7px #FFF;
    cursor: pointer;
    border-bottom: 2px solid #DDD;
    border-radius: 0px 0px 3px 3px;
    box-shadow: 3px 3px 6px 0px #A9A9A9;
}

.penalty {
    margin-top: 5px;
    margin-left: 30px;
    margin-right: 10px;
    padding-right: 10px;
    font-size: 12px;
    color : #A9A9A9;
    box-shadow: 3px 3px 6px 0px #A9A9A9;
}
.foldPenalty {
    margin-top: -50px;
    cursor: pointer;
}
.group {
    margin-left: 5px;
}
.queueTd {
    width:10%;
    padding: 0 2 0 0 !important;
    text-align: center;
 }
 .queue-selection {
    margin-bottom : 10px;
 }
 .queueSelect {
    margin-top : 0px;
    margin-bottom : 0px;
    height: 20px;
 }
.queueName {
    padding: 0 0 0 0;
    margin-left : 10px;
    margin-right : 10px;
    text-align: center;
    background-color: White;
    color: #4B77BE;
    font-size : 14px;
    }
.queueIndicator {
    fill: #4B77BE;
    stroke: white;
    stroke-width: 2;
    opacity:1;
}

.queueIndicatorPanel {
}

.addAgent {
    cursor: pointer;
}
.addGroups {
    cursor: pointer;
}
.addAGroup {
    color: grey;
    cursor: pointer;
}
.addAGroup:Hover {
    background: #6C7A89;
    color : #D2D7D3;
}
table {
    margin-bottom:10px !important
}
.table-responsive {
    padding : 0 0 0 0 !important;
}
th.tableTitle {
    text-align: left; !important;
}
td.actionIcon {
    padding : 5 0 0 0 !important;
}
.groups {
    margin-right : 20px;
}
.agent-table-group-data {
    font-weight: bold;
    background:#DFDDD9;
}
.Linkopened {
  color : green;
}
.Linkclosed {
  color : red;
}
.glyph-grey, .glyph-grey a {
  color: grey;
}
.glyph-white, .glyph-white a {
  color: white;
}
.glyphmenu {
    margin-right:2px;
}
tfoot.queueTotals {
    border-top: 2px solid;
    border-top-color: inherit;
}

.agent-trash {
    padding-top: 15px;
    text-align: right;
}
.group-trash {
    padding-top: 15px;
    text-align: right;
}

.vertical-align {
    display: flex;
    align-items: center;
}
.AgentEditIcon {
    opacity:0.3;
    position:absolute;
    font-size:12;
    top:2;
    left:50;
    color:white;
}
.AgentEditIcon:hover{
    opacity:1;
    color:white;
}
.AgentActionMenu {
    top:35;
    left:50;
    min-width: 90;
    background: #58524F;
    color:white;
    font-size:12px;
    cursor:pointer;
}
.AgentActionMenu:hover {
    background: #E8E4E2;
    color: black;
}
.AgentMenu {
    background: #E8E4E2;
    color: #58524F;
}
.AgentMenu:hover {
    background: #58524F;
    color: #E8E4E2;
}
.AgentActionIcon {
    opacity:0.3;
    position:absolute;
    font-size:12;
    top:35;
    left:50;
    color:white;
}
.AgentActionIcon:hover{
    opacity:1;
    color:white;
}
.AgentBox {
    stroke: white;
    stroke-width: 1px;
    opacity: 1;;
}

.AgentGroupIcon {
    position:absolute;
    top:5;
    left:150;
    cursor: pointer;
}
.AgentGroupIcon:hover {
}

.AgentActionButton {
    cursor: pointer;
}

.AgentActionButton:hover {
    background: #6C7A89;
    color : #D2D7D3;
}

.AgentGroupBox {
    fill: #A9A29E;
    stroke: #58524F;
    stroke-width:1px;
    opacity: 1;
}
.AgentGroupBoxShadow {
    stroke-width: 2;
    fill: #704314;
    stroke: #522D06;
    stroke-width:1px;
    opacity: 0.3;
}
.AgentText {
    fill:white;
    text-anchor:middle;
}
.AgentGroupText {
    fill:white;
    text-anchor:middle;
}
